Subject: bug#79419: "automake --add-missing" should not install an obsolete texinfo.tex file

From: Vincent Lefevre <[email-masked]>
Date: Thu, 11 Sep 2025 10:57:21 +0200

On 2025-09-10 17:56:22 -0400, Zack Weinberg wrote:
> This couldn't be the default, because it'd involve talking to the
> network, but what about a mode where it retrieves the latest version of
> each file that is frequently updated, directly from its official VCS
> source?  As well as texinfo.tex, I know this would be useful for
> config.sub and config.guess at least.

I don't think that this is a good idea, in particular if the files
are not signed (and for texinfo.tex, the user might not want to use
an unstable version). I would rather expect the user to download
the files and put them at some location, with some manual checking.
Then automake should have a way to pick them.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Pascaline project (LIP, ENS-Lyon)